summaryrefslogtreecommitdiff
path: root/local/bin/edsc
diff options
context:
space:
mode:
authorcoasteen <coasteen@proton.me>2026-07-09 10:42:28 +0330
committercoasteen <coasteen@proton.me>2026-07-09 10:42:28 +0330
commit8cbadb61604667b407b53ee1258433994fa4765a (patch)
tree97765fb29418fd6278fcb4cbb9760893afaf7a58 /local/bin/edsc
Diffstat (limited to 'local/bin/edsc')
-rwxr-xr-xlocal/bin/edsc13
1 files changed, 13 insertions, 0 deletions
diff --git a/local/bin/edsc b/local/bin/edsc
new file mode 100755
index 0000000..e25e94c
--- /dev/null
+++ b/local/bin/edsc
@@ -0,0 +1,13 @@
+#!/bin/sh
+if [ -z "$1" ]; then
+ SCRIPT=$(find . -type f | fzfse)
+else
+ SCRIPT="$1"
+fi
+
+if [ -z "$SCRIPT" ]; then
+ echo 'Usage: edsc [file]'
+ exit 1
+fi
+
+emacsclient -c -nw "$SCRIPT"